With Content API for Shopping, you can use the
[merchantsupport](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport)
resource to create an in-app diagnostics page for your merchants. Merchant API
offers Issue resolution, which supports the same functionality.

## Overview

When migrating from Content API, observe the following that there are changes to
the service and method names and structures:

- The most significant change in the API response is the consolidation of the `AccountIssue` and `ProductIssue` objects into a single `RenderedIssue` object. This should simplify your code by providing a consistent structure for all types of issues.
- Merchant API renames the `issues` field as `rendered_issues`.

## Identifiers

Change your Content API identifiers as follows for Merchant API.

| Method | Content API for Shopping | Merchant API |
|---|---|---|
| `renderaccountissues` | `{merchant_id}` | `accounts/{ACCOUNT_ID}` |
| `renderproductissues` | `{PRODUCT_ID}` | `accounts/{ACCOUNT_ID}/products/{PRODUCT_ID}` |
| `TriggerAction` | `{merchant_id}` | `accounts/{ACCOUNT_ID}` |

## Requests

Change your Content API requests as follows for Merchant API.

| Action | Content API for Shopping | Merchant API |
|---|---|---|
| Render account level issues for an account | ` POST https://shoppingcontent.googleapis.com/content/v2.1/MERCHANT_ID/merchantsupport/renderaccountissues ` | ` POST https://merchantapi.googleapis.com/issueresolution/v1/accounts/ACCOUNT_ID:renderaccountissues ` |
| Render issues for a product | ` POST https://shoppingcontent.googleapis.com/content/v2.1/MERCHANT_ID/merchantsupport/renderproductissues/PRODUCT_ID ` | ` POST https://merchantapi.googleapis.com/issueresolution/v1/accounts/ACCOUNT_ID/products/PRODUCT_ID:renderproductissues ` |
| Trigger action | ` POST https://shoppingcontent.googleapis.com/content/v2.1/MERCHANT_ID/merchantsupport/triggeraction ` | ` https://merchantapi.googleapis.com/issueresolution/v1/accounts/ACCOUNT_ID:triggeraction ` |

The most significant change in the API response is the consolidation of
`AccountIssue` and `ProductIssue` objects into a single `RenderedIssue` object.
This should simplify your code by providing a consistent structure for all types
of issues.

## Renamed fields

The new name for the top-level `issues` field in the response is
`renderedIssues`. It contains a list of `RenderedIssue` objects.

| Content API for Shopping | Merchant API |
|---|---|
| `issues` | `renderedIssues` |

## Renamed models

| Content API for Shopping | Merchant API |
|---|---|
| - `AccountIssue` - `ProductIssue` | `RenderedIssue` |